Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class INV_POLICYHelper

    java.lang.Object
      |
      +--org.omg.CORBA.INV_POLICYHelper

public class INV_POLICYHelper
extends java.lang.Object

Helper class for : INV_POLICY

Author:
  OpenORB Compiler

Constructor Summary
`INV_POLICYHelper()`

Method Summary
`static INV_POLICY` | `extract(Any a)` Extract INV_POLICY from an any
`static java.lang.String` | `id()` Return the INV_POLICY IDL ID
`static void` | `insert(Any a, INV_POLICY t)` Insert INV_POLICY into an any
`static INV_POLICY` | `read(InputStream istream)` Read INV_POLICY from a marshalled stream
`static TypeCode` | `type()` Return the INV_POLICY TypeCode
`static void` | `write(OutputStream ostream, INV_POLICY value)` Write INV_POLICY into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INV_POLICYHelper

    public INV_POLICYHelper()

Method Detail

### insert

    public static void insert(Any a,
                              INV_POLICY t)

  Insert INV_POLICY into an any
  Parameters:
    `a` - an any
    `t` - INV_POLICY value

### extract

    public static INV_POLICY extract(Any a)

  Extract INV_POLICY from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted INV_POLICY value

### type

    public static TypeCode type()

  Return the INV_POLICY TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the INV_POLICY IDL ID
  Returns:
    an ID

### read

    public static INV_POLICY read(InputStream istream)

  Read INV_POLICY from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed INV_POLICY value

### write

    public static void write(OutputStream ostream,
                             INV_POLICY value)

  Write INV_POLICY into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - INV_POLICY value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD